Subject: Re: Sentimental Sunday: ‘Anything f’ Thanksgiving?’ | The Ancestral Archaeologist
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Tue, 05 Nov 2013 16:25:20 -0600 (CST)

Kathy,

Thanks for the research. I, too, have been given funny looks when referring to this old tradition.

My last memory of our begging on Thanksgiving is of you in Dad's old paint sweatshirt, wearing his baseball cap sideways and

I think you were still wearing your long braids.

Dad always told us this was to remind the people we "visited" of their good fortune on Thanksgiving and to remind us of the less fortunate.

A good thought for all.

I polled a group of friends I was with today and they all remembered doing this.  They were from Bay Ridge, Brooklyn and different towns in Queens.

Love to all,

Pat

On 11/03/13, [email-masked] wrote:

http://scribbler714.wordpress.com/2010/10/31/sentimental-sunday-anything-f-thanksgiving/
For years I have been asking people if they ever heard of this tradition. I have vivid memories of my Grandpa sitting by the front window with pennies lined up to give the ragamuffins from our neighborhood when they came to the door on Thanksgiving. This is one of a few articles I found on the web.

Sent from my iPad